Package pygccxml :: Package declarations :: Module calldef :: Class argument_t

# type argument_t

source code

    object --+
             |
            argument_t

class, that describes argument of "callable" declaration

Instance Methods

__init__(self, name=`'````'`, type=None, default_value=None, attributes=None) | source code

clone(self, **keywd) constructs new argument_t instance | source code

__str__(self) | source code

__eq__(self, other) | source code

__ne__(self, other) | source code

__lt__(self, other) | source code

Properties
str | name Argument name.
| ellipsis bool, if True argument represents ellipsis ( "..." ) in function definition
str | default_value Argument's default value or None.
type_t | type The type of the argument.
str | attributes GCCXML attributes, set using __attribute__((gccxml("...")))

Method Details

### __init__(self, name=`'````'`, type=None, default_value=None, attributes=None)
(Constructor)

source code

Overrides: object.__init__
  (inherited documentation)

### clone(self, **keywd)

source code

    constructs new argument_t instance

    return argument_t( name=keywd.get( 'name', self.name )
                       , type=keywd.get( 'type', self.type )
                       , default_value=keywd.get( 'default_value', self.default_value )
                       , attributes=keywd.get( 'attributes', self.attributes ) )

### __str__(self)
(Informal representation operator)

source code

Overrides: object.__str__
  (inherited documentation)

Property Details

### name

Argument name.

Get Method:
  _get_name(self)
Set Method:
  _set_name(self, name)
Type:
  str

### ellipsis

bool, if True argument represents ellipsis ( "..." ) in function definition

### default_value

Argument's default value or None.

Get Method:
  _get_default_value(self)
Set Method:
  _set_default_value(self, default_value)
Type:
  str

### type

The type of the argument.

Get Method:
  _get_type(self)
Set Method:
  _set_type(self, type)
Type:
  type_t

### attributes

GCCXML attributes, set using __attribute__((gccxml("...")))

Get Method:
  _get_attributes(self)
Set Method:
  _set_attributes(self, attributes)
Type:
  str